{% extends 'm_productos/base-admin.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block contenido %}
<main style="align-items: center; margin-left:5%; margin-right:5%">
    <div class="p-3 mb-2 bg-dark text-white" style="opacity: 0.95;">
        <a class="btn btn-primary" href="{% url 'addmesa' %}" role="button">Agregar Mesa</a>
        <div class="row" style="align-items: center;">
            <div class="col-md-5 border border-warning ">
                <h2 style="text-align: center; color:white">
                Mesas disponibles
                </h2>
                {% if messages %}
                <ul class="messages">
                    {% for message in messages %}
                    <script>
                        Swal.fire({
                            position: 'center',
                            icon: 'success',
                            title: '{{message}}',
                            showConfirmButton: false,
                            timer: 1500
                          })
                    </script>
                    {% endfor %}
                </ul>
                {% endif %}
                <div class="row">
                    {% for m in mesas %}
                        <div class="col-md-4 p-0 container-flex" style="margin:3% ; align-items: center;">
                            <div class="card bg-success">
                                <div class="card-body text-ligth">
                                    <h5 class="card-title m-1">Mesa n° {{m.numero}}</h5>
                                    <a href="{% url 'quitamesa' m.id %}" class="btn btn-danger m-1" type="button">eliminar</a>

                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
            <div class="col-md-7">
                <h2 style="text-align: center; color:white">
                    Reservas activas
                </h2>
                <table class="table table-dark table-responsive table-hover" style="opacity: 0.9;">
                    <div class="row">
                        <div class="col-sm-8">
                            <tr>
                                <th>Mesa</th>
                                <th>Comensales</th>
                                <th>Precio</th>
                                <th>Fecha</th>
                                <th>estado</th>
                            </tr>
                            {% for r in reservas %}
                            <tr>
                                <th>{{r.mesa}}</th>
                                <th>{{r.comensales}}</th>
                                <th>${{r.precio}}</th>
                                <th>{{r.fecha|date:'d-m-y h:m'}}</th>
                                <th>{{r.estado}}</th>
                                <th>
                                    <a href="{% url 'resolreserva' r.id %}" type="button" class="btn btn-primary">Resolver</a>
                                </th>
                            </tr>

                        </div>
                        {% endfor %}

                    </div>


                </table>
            </div>
        </div>
    </div>

</main>

{% endblock contenido %}